package com.hl.demo;

import android.app.Application;
import android.content.Context;
import android.content.res.Configuration;

import com.hoolai.access.open.fastaccess.channel.FastSdk;

public class GameApplication extends Application {

    @Override
    public void onCreate() {
        super.onCreate();
        FastSdk.onApplicationCreate(this);
    }

    @Override
    public void onTerminate() {
        FastSdk.onTerminate(this);
        super.onTerminate();
    }

    @Override
    public void onConfigurationChanged(Configuration newConfig) {
        super.onConfigurationChanged(newConfig);
        FastSdk.onConfigurationChanged(this, newConfig);
    }

    @Override
    protected void attachBaseContext(Context context) {
        super.attachBaseContext(context);
        FastSdk.attachBaseContext(this, context);
    }
}
